---
description: Learn the processes for contributing to GitLab's documentation.
---

# Documentation workflows at GitLab

Documentation workflows at GitLab differ depending on the reason for the change. The two types of documentation changes are:

- [Feature-Change Updates](feature-change-workflow.md) - The documentation is being created or updated as part of the development and release of a new or enhanced feature. This process involves the developer of the feature, along with the product manager and technical writer who are listed for the feature's [DevOps stage](https://about.gitlab.com/handbook/product/categories/#devops-stages). The necessary changes to documentation files are included as part of the same merge request containing the feature's code.
- [Improvements](improvement-workflow.md) - All documentation additions not associated with a feature release. Documentation is being created or updated to improve accuracy, completeness, ease of use, or any reason other than a feature change. Anyone (and everyone) can contribute a merge request for this type of update.
